- release_tracks: [GA]

  help_text:
    brief: Use Google Cloud Natural Language API to identify linguistic information.
    description: |
      Syntactic Analysis extracts linguistic information, breaking up the given
      text into a series of sentences and tokens (generally, word boundaries),
      providing further analysis on those tokens.

      {language_help}
    language_help: !COMMON help_text.language_help_ga
    examples: !COMMON help_text.language_examples.ASX

  request:
    _COMMON_: request
    method: analyzeSyntax

  arguments:
    params:
    - _COMMON_: args.content_group
    - _COMMON_: args.content
    - _COMMON_: args.language
    - _COMMON_: args.encoding

  output:
    format: json


- release_tracks: [ALPHA, BETA]

  help_text:
    brief: Use Google Cloud Natural Language API to identify linguistic information.
    description: |
      Syntactic Analysis extracts linguistic information, breaking up the given
      text into a series of sentences and tokens (generally, word boundaries),
      providing further analysis on those tokens.

      {language_help}
    language_help: !COMMON help_text.language_help
    examples: !COMMON help_text.language_examples.ASX

  request:
    _COMMON_: request
    api_version: v1beta2
    method: analyzeSyntax

  arguments:
    params:
    - _COMMON_: args.content_group
    - _COMMON_: args.content
    - _COMMON_: args.language
    - _COMMON_: args.encoding

  output:
    format: json
